aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--package.json2
-rwxr-xr-xscripts/test_umd.sh7
2 files changed, 8 insertions, 1 deletions
diff --git a/package.json b/package.json
index 334f353dc..26ae8a504 100644
--- a/package.json
+++ b/package.json
@@ -14,7 +14,7 @@
"build": "run-p build:*:prod",
"lint": "tslint src/*.ts test/*.ts",
"test": "run-s clean test:commonjs",
- "test:umd": "run-s substitute_umd_bundle run_mocha; npm run clean",
+ "test:umd": "./scripts/test_umd.sh",
"test:coverage": "nyc npm run test --all",
"update_contracts": "for i in ${npm_package_config_artifacts}; do copyfiles -u 4 ../contracts/build/contracts/$i.json ../0x.js/src/artifacts; done;",
"testrpc": "testrpc -p 8545 --networkId 50 -m \"${npm_package_config_mnemonic}\"",
diff --git a/scripts/test_umd.sh b/scripts/test_umd.sh
new file mode 100755
index 000000000..56517d32c
--- /dev/null
+++ b/scripts/test_umd.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+# This script runs umd tests and cleans up after them while preserving the `return_code` for CI
+# UMD tests should be only run after the commonjs build cause they reuse some of the commonjs build artefacts
+run-s substitute_umd_bundle run_mocha
+return_code=$?
+npm run clean
+exit $return_code